<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">
    <include
        android:id="@+id/other_header"
        layout="@layout/other_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

    </include>
    <androidx.core.widget.NestedScrollView
        android:id="@+id/nested_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            >
            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                >
                <TextView
                    android:id="@+id/tv_select_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="20dp"
                    android:text="01.选择情报类型"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"/>

                <LinearLayout
                    android:id="@+id/ll_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintLeft_toLeftOf="@id/tv_select_type"
                    app:layout_constraintTop_toBottomOf="@id/tv_select_type">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="20dp"
                        android:background="@drawable/other_text">

                        <Spinner
                            android:id="@+id/spinner_other"
                            android:layout_width="0dp"
                            android:layout_height="40dp"
                            android:layout_centerVertical="true"
                            android:layout_margin="2dp"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="5dp"
                            android:background="@color/white"
                            android:textColor="#333"
                            android:textSize="15sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="5dp"
                            android:background="@drawable/ic_baseline_arrow_drop"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_data"
                    android:layout_width="match_parent"
                    android:layout_height="160dp"
                    android:layout_margin="20dp"
                    android:layout_marginStart="20dp"
                    android:layout_marginEnd="20dp"
                    android:orientation="vertical"
                    app:layout_constraintBottom_toTopOf="@+id/tv_other_picture"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/ll_text">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="02.基本资料填写"

                        android:textStyle="bold" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="20dp"
                        android:background="@drawable/other_text">

                        <TextView
                            android:id="@+id/tv_indeo"
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_marginLeft="10dp"
                            android:gravity="center_vertical"
                            android:text="点位*"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <CheckBox
                            android:id="@+id/check_pot"
                            android:layout_width="50dp"
                            android:layout_height="20dp"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="20dp"
                            android:background="@drawable/selector_change_bg"
                            android:button="@null"
                            android:gravity="center"
                            android:text="编辑"
                            android:textSize="8sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toEndOf="@+id/tv_indeo"
                            app:layout_constraintTop_toTopOf="parent" />

                        <ImageView
                            android:id="@+id/iv_other_map"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="10dp"
                            android:background="@drawable/icon_location"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:layout_marginTop="20dp"
                        android:background="@drawable/other_text"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginLeft="10dp"
                            android:text="名称*" />

                        <EditText
                            android:id="@+id/et_task_name"
                            android:layout_width="300dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="15dp"
                            android:background="@null"
                            android:hint="任务名称"
                            android:singleLine="true"
                            android:textColor="@color/test_color_selector"
                            android:textSize="12sp" />
                    </LinearLayout>

                </LinearLayout>

                <TextView
                    android:id="@+id/tv_other_picture"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="03.拍照"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="@id/ll_data"
                    app:layout_constraintTop_toBottomOf="@id/ll_data" />

                <LinearLayout
                    android:id="@+id/ll_image_picture"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:layout_marginBottom="9dp"
                    android:gravity="center"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toTopOf="@+id/tv_03"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_other_picture">

                    <RelativeLayout
                        android:id="@+id/rl_picture"
                        android:layout_width="150dp"
                        android:layout_height="100dp"
                        android:layout_margin="10dp"
                        android:background="@drawable/selector_red_bg"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/image_picture"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_centerHorizontal="true"
                            android:layout_marginTop="20dp"
                            android:background="@drawable/plus" />

                        <TextView
                            android:id="@+id/tv_picture"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/image_picture"
                            android:layout_centerHorizontal="true"
                            android:layout_margin="5dp"
                            android:text="照片"
                            android:textColor="@color/pickerview_wheelview_textcolor_divider"
                            android:textSize="12sp" />

                        <ImageView
                            android:id="@+id/iv_picture"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_centerInParent="true"
                            android:scaleType="fitXY" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/rl_pictures"
                        android:layout_width="150dp"
                        android:layout_height="100dp"
                        android:layout_margin="10dp"
                        android:background="@drawable/selector_red_bg"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/image_pictures"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_centerHorizontal="true"
                            android:layout_marginTop="20dp"
                            android:background="@drawable/plus" />

                        <TextView
                            android:id="@+id/tv_pictures"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/image_pictures"
                            android:layout_centerHorizontal="true"
                            android:layout_margin="12dp"
                            android:text="照片"
                            android:textColor="@color/pickerview_wheelview_textcolor_divider"
                            android:textSize="12sp" />

                        <ImageView
                            android:id="@+id/iv_pictures"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_centerInParent="true"
                            android:scaleType="fitXY" />
                    </RelativeLayout>
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_03"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="04概述"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="@+id/tv_other_picture"
                    app:layout_constraintTop_toBottomOf="@id/ll_image_picture" />

                <LinearLayout
                    android:id="@+id/linear_describe"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:background="@drawable/underline"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_03">

                    <EditText
                        android:id="@+id/edit_other_describe"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="2dp"
                        android:background="@color/white"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:gravity="top"
                        android:hint="任务描述"
                        android:paddingLeft="10dp"
                        android:paddingTop="10dp"
                        android:paddingBottom="30dp"
                        android:textColor="@color/test_color_selector"
                        android:textSize="15sp"


                        />
                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="20dp"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linear_describe">

                    <Button
                        android:id="@+id/btn_other_local"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/selector_red_radius_bg"
                        android:text="保存本地"
                        android:textColor="@color/white" />

                    <Button
                        android:id="@+id/btn_other_uploading"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/shape_transparent_pink_radius_bg"
                        android:text="上传" />
                </LinearLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>